<?php declare(strict_types=1);

namespace App\Dto;

final readonly class HttpUserData
{
    public function __construct(
        private ?string $clientIp = null,
        private ?string $userAgent = null,
        private ?string $referer = null
    ) { }

    public function getClientIp(): ?string
    {
        return $this->clientIp;
    }

    public function getUserAgent(): ?string
    {
        return $this->userAgent;
    }

    public function getReferer(): ?string
    {
        return $this->referer;
    }
}
